Subject: Re: [spring] Working Group Adoption Call for draft-filsfils-spring-srv6-network-programming

From: "Darren Dukes (ddukes)" <[email-masked]>
Date: Wed, 20 Mar 2019 17:57:09 +0000

Hi Adrian.

The draft-6man-segment-routing-header has already defined the processing of a segment.  And this document, as it evolves as a WG document, should follow that processing.

Darren

From: spring <mailto:[email-masked]> on behalf of "mailto:[email-masked]" <mailto:[email-masked]>

Thanks for this poll, Bruno,

Before taking up work on this draft, would it be worth working with 6man to check that the repurposing of IPv6 addresses would be unlikely to cause a great fight? It would probably be better to not have two WGs fighting.

And, in case someone is confused by my comments, RFC 4291 has…

   IPv6 addresses are 128-bit identifiers for interfaces and sets of

   interfaces (where "interface" is as defined in Section 2 of [IPV6]).

And RFC 8200 has…

      interface    a node's attachment to a link.

and

      Destination Address 128-bit address of the intended recipient of

                          the packet (possibly not the ultimate

                          recipient, if a Routing header is present).

                          See [RFC4291] and Section 4.4.

Now, it is possible that everyone will say “Yeah, go ahead.” Or they may say, “You can only do this if you’re also updating 4291 and 8200.” Or, of course, they may also say, “Whoa, it would be a really big step to address a function or an instruction or something other than an interface, notwithstanding that they are routable.”

I’m not prejudging what answer we might get, but think it would be worth asking.

Best,

Adrian

---

From: "Pablo Camarillo (pcamaril)" <[email-masked]>
Date: Wed, 20 Mar 2019 18:02:42 +0000

Hi Darren, Adrian,

Indeed it is the aim of the authors to update net-pgm to reflect the sid structure and being completely inline with the SID definition framework from the current SRH draft.

Cheers,
Pablo.

From: "Darren Dukes (ddukes)" <[email-masked]>
Date: Wednesday, 20 March 2019 at 18:57
To: Adrian Farrel <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, SPRING WG <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [spring] Working Group Adoption Call for draft-filsfils-spring-srv6-network-programming
Resent-From: <[email-masked]>
Resent-To: <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Resent-Date: Wednesday, 20 March 2019 at 18:57

Hi Adrian.

Darren

And RFC 8200 has…

and

Best,

Adrian